Subject: bug#37890: closed (Re: bug#37890: 27.0.50; Org-mode: org-capture and final newline)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Feb 2020 15:20:02 +0000

Your bug report

#37890: 27.0.50; Org-mode: org-capture and final newline

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37890: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37890
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37890: 27.0.50; Org-mode: org-capture and final newline
From: Bastien <[email-masked]>
To: Michael Heerdegen <[email-masked]>
Cc: [email-masked]
Date: Sat, 22 Feb 2020 16:19:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Michael,

Michael Heerdegen <[email-masked]> writes:

> Bastien <[email-masked]> writes:
>
>> > this happens quite often to me and scrambles my todo.org:
>>
>> This may have been fixed in latest Org; please check out 9.3.6 and
>> confirm if it is fixed, so that I can close this bug.
>
> I'm using 9.3 from Emacs master, and it seems to be fixed there as well,
> for already quite some time.

Thanks for confirming, I'm closing this now.

> Has there been any related change in more
> recent org versions that I should test?

Well, quite a few, you can read ORG-NEWS to see what you need to test:
https://code.orgmode.org/bzg/org-mode/raw/master/etc/ORG-NEWS

-- 
 Bastien

Subject: 27.0.50; Org-mode: org-capture and final newline
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Wed, 23 Oct 2019 18:00:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

this happens quite often to me and scrambles my todo.org:

I want to capture an APPT with `org-capture'.  I the pop-up buffer to
edit the item I move the date to the second line and add text after the
date (personal preference).  That loses the final newline in
CAPTURE-todo.org.  As a result, the headline of the item following the
item to be inserted gets appended to the last line of the text:

** APPT Abc
   <2019-10-23 Mi>
text... ** APPT 8:30 Important Appointment

breaking the whole item.  The user should somehow be prevented from that
happening.

TIA,

Michael.

In GNU Emacs 27.0.50 (build 27, x86_64-pc-linux-gnu, GTK+ Version 3.24.12)
 of 2019-10-23 built on drachen
Repository revision: 39ba44f18445c7759de5ac91ce25e53123c2abeb
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux bullseye/sid